#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2018-03.12
#
# Check Point Identity Awareness AD Query metrics plugin
# checkpoint_ia_query
#
metric_info['checkpoint_ia_adquery_summary'] = {
    'title': _('Events summary'),
    'unit': '1/s',
    'color': '11/b',
}
# create one metric per dc
metric_info['checkpoint_ia_adquery_dc_10_140_110_1'] = {
    'title': _('SDACDOM401 (10.140.110.1)'),
    'unit': '1/s',
    'color': '12/a',
}
metric_info['checkpoint_ia_adquery_dc_10_140_110_2'] = {
    'title': _('SDACDOM402 (10.140.110.2)'),
    'unit': '1/s',
    'color': '22/a',
}

metric_info['checkpoint_ia_adquery_dc_10_215_2_252'] = {
    'title': _('SDACDOM02 (10.215.2.252)'),
    'unit': '1/s',
    'color': '22/a',
}
metric_info['checkpoint_ia_adquery_dc_10_215_2_253'] = {
    'title': _('SDACDOM01 (10.215.2.253)'),
    'unit': '1/s',
    'color': '32/a',
}
metric_info['checkpoint_ia_adquery_dc_10_225_110_240'] = {
    'title': _('SDACDNS01 (10.225.110.240)'),
    'unit': '1/s',
    'color': '42/a',
}

metric_info['checkpoint_ia_adquery_dc_10_250_1_112'] = {
    'title': _('S250AD01 (10.250.1.112)'),
    'unit': '1/s',
    'color': '33/a',
}
metric_info['checkpoint_ia_adquery_dc_10_250_1_113'] = {
    'title': _('S250AD02 (10.250.1.113)'),
    'unit': '1/s',
    'color': '43/a',
}
#
#
#
check_metrics['check_mk-checkpoint_ia_adquery'] = {
    'events_sum': {'name': 'checkpoint_ia_adquery_summary', },
    'dc_10_140_110_1': {'name': 'checkpoint_ia_adquery_dc_10_140_110_1', },
    'dc_10_140_110_2': {'name': 'checkpoint_ia_adquery_dc_10_140_110_2', },
    'dc_10_215_2_252': {'name': 'checkpoint_ia_adquery_dc_10_215_2_252', },
    'dc_10_215_2_253': {'name': 'checkpoint_ia_adquery_dc_10_215_2_253', },
    'dc_10_225_110_240': {'name': 'checkpoint_ia_adquery_dc_10_225_110_240', },
    'dc_10_250_1_112': {'name': 'checkpoint_ia_adquery_dc_10_250_1_112', },
    'dc_10_250_1_113': {'name': 'checkpoint_ia_adquery_dc_10_250_1_113', },
}

# igepa graph
graph_info.append({
    'title': _('Check Point Identity Awareness AD queries'),
    'metrics': [
        ('checkpoint_ia_adquery_summary', 'line'),
        ('checkpoint_ia_adquery_dc_10_250_1_112', 'stack'),
        ('checkpoint_ia_adquery_dc_10_250_1_113', 'stack'),
    ],
})

# hri graph
graph_info.append({
    'title': _('Check Point Identity Awareness AD queries'),
    'metrics': [
        ('checkpoint_ia_adquery_summary', 'line'),
        ('checkpoint_ia_adquery_dc_10_140_110_1', 'stack'),
        ('checkpoint_ia_adquery_dc_10_140_110_2', 'stack'),
    ],
})

# h&r graph
graph_info.append({
    'title': _('Check Point Identity Awareness AD queries'),
    'metrics': [
        ('checkpoint_ia_adquery_summary', 'line'),
        ('checkpoint_ia_adquery_dc_10_215_2_252', 'stack'),
        ('checkpoint_ia_adquery_dc_10_215_2_253', 'stack'),
        ('checkpoint_ia_adquery_dc_10_225_110_240', 'stack'),
    ],
})

perfometer_info.append({
    'type': 'linear',
    'segments': ['checkpoint_ia_adquery_summary',
                 ],
    'total': 100,
})
